<?php
/**
 * theme style and script enqueue.
 *
 * @package industri WordPress Theme
 * @subpackage industri
 * @since industri 1.0.0
 * 
 */ 

function industri_enqueue_style() {    

    // font-awesome
    wp_enqueue_style('font-awesome',get_template_directory_uri().'/assets/css/fonts/font-awesome/css/font-awesome.min.css');

    // bootstrap
    wp_enqueue_style('industri-bootstrap',get_template_directory_uri().'/assets/css/bootstrap.css');

     // animate
    wp_enqueue_style('industri-animate',get_template_directory_uri().'/assets/css/animate.css');

     // swiper
    wp_enqueue_style('industri-swiper',get_template_directory_uri().'/assets/css/swiper.min.css');   

    // editor-style
    wp_enqueue_style('industri-editor',get_template_directory_uri().'/assets/css/editor-style.css');

    // woocommerce
    wp_enqueue_style('industri-woocommerce',get_template_directory_uri().'/assets/css/woocommerce.css'); 

    //header style one
    wp_enqueue_style('industri-style-one',get_template_directory_uri().'/assets/css/header-style-one.css'); 
    //main
    wp_enqueue_style('industri-main',get_template_directory_uri().'/assets/css/main.css');   

    // style
    wp_enqueue_style( 'industri-style', get_stylesheet_uri() );

    // responsive
    wp_enqueue_style('industri-responsive',get_template_directory_uri().'/assets/css/responsive.css');
}

function industri_enqueue_script() {

    wp_enqueue_script( 'jquery' );

    // bootstrap js
    wp_enqueue_script( 'industri-bootstrap', get_template_directory_uri() .'/assets/js/bootstrap.js', array( 'jquery' ), INDUSTRI_THEME_VERSION, true );     

    // swiper-bundle js
    wp_enqueue_script( 'industri-swiper-bundle', get_template_directory_uri() .'/assets/js/swiper-bundle.js', array( 'jquery' ), INDUSTRI_THEME_VERSION, true ); 

    // Threaded comment reply styles.
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' );
    }      

     // wow js
    wp_enqueue_script( 'industri-wow', get_template_directory_uri() .'/assets/js/wow.min.js', array( 'jquery' ), INDUSTRI_THEME_VERSION, true );     

    // custom js
    wp_enqueue_script( 'custom', get_template_directory_uri() .'/assets/js/custom.js', array( 'jquery' ), INDUSTRI_THEME_VERSION, true );   
    

    // Localize the script with new data
    wp_localize_script( 'custom', 'ind',
        array(             
            'sticky_header' => true,            
        )
    );


}

function industri_admin_style(){
    // admin 
    wp_enqueue_style('admin',get_template_directory_uri().'/assets/css/admin/admin.css');
}

add_action( 'wp_enqueue_scripts', 'industri_enqueue_style' );
add_action( 'wp_enqueue_scripts', 'industri_enqueue_script' );
add_action( 'admin_enqueue_scripts', 'industri_admin_style' );